Loading...
Searching...
No Matches
ForceFields::CrystalFF Namespace Reference

## Namespaces

namespace | ETKDGForceConsts

## Classes

struct | PlanarityContribsParams
class | PlanarityContribs
| A term to capture all Inversion Contributionss. More...
struct | TorsionAngleContribsParams
class | TorsionAngleContribs
class | TorsionAngleContribM6
| the torsion term for multiplicity m = 1 - 6 More...
struct | ExpTorsionAngle
| A structure used to the experimental torsion patterns. More...
struct | CrystalFFDetails

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT double | calcTorsionEnergy (const std::vector< double > &forceConstants, const std::vector< int > &signs, const double cosPhi)
RDKIT_FORCEFIELDHELPERS_EXPORT double | calcTorsionEnergyM6 (const std::vector< double > &V, const std::vector< int > &signs, const double cosPhi)
| calculates and returns the torsional energy
RDKIT_FORCEFIELDHELPERS_EXPORT void | getExperimentalTorsions (const RDKit::ROMol &mol, CrystalFFDetails &details, bool useExpTorsions=false, bool useSmallRingTorsions=false, bool useMacrocycleTorsions=false, bool useBasicKnowledge=false, unsigned int version=2, bool verbose=false)
| Get the experimental torsional angles in a molecule.
RDKIT_FORCEFIELDHELPERS_EXPORT void | getExperimentalTorsions (const RDKit::ROMol &mol, CrystalFFDetails &details, std::vector< std::tuple< unsigned int, std::vector< unsigned int >, const ExpTorsionAngle * > > &torsionBonds, bool useExpTorsions=false, bool useSmallRingTorsions=false, bool useMacrocycleTorsions=false, bool useBasicKnowledge=false, unsigned int version=2, bool verbose=false)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Function Documentation

## calcTorsionEnergy()

RDKIT_FORCEFIELDHELPERS_EXPORT double ForceFields::CrystalFF::calcTorsionEnergy | ( | const std::vector< double > & | forceConstants,
|  | const std::vector< int > & | signs,
|  | const double | cosPhi )

Calculate the torsion energy as described in 10.1021/acs.jcim.5b00654, this can be used with any i > 0.

Parameters

  forceConstants | Force constants for the different cosine fits
  signs | Phases of the cosine fits
  cosPhi | cosine of the torsion angle phi

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## calcTorsionEnergyM6()

RDKIT_FORCEFIELDHELPERS_EXPORT double ForceFields::CrystalFF::calcTorsionEnergyM6 | ( | const std::vector< double > & | V,
|  | const std::vector< int > & | signs,
|  | const double | cosPhi )

calculates and returns the torsional energy

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## getExperimentalTorsions() [1/2]

RDKIT_FORCEFIELDHELPERS_EXPORT void ForceFields::CrystalFF::getExperimentalTorsions | ( | const RDKit::ROMol & | mol,
|  | CrystalFFDetails & | details,
|  | bool | useExpTorsions = false,
|  | bool | useSmallRingTorsions = false,
|  | bool | useMacrocycleTorsions = false,
|  | bool | useBasicKnowledge = false,
|  | unsigned int | version = 2,
|  | bool | verbose = false )

Get the experimental torsional angles in a molecule.

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## getExperimentalTorsions() [2/2]

RDKIT_FORCEFIELDHELPERS_EXPORT void ForceFields::CrystalFF::getExperimentalTorsions | ( | const RDKit::ROMol & | mol,
|  | CrystalFFDetails & | details,
|  | std::vector< std::tuple< unsigned int, std::vector< unsigned int >, const ExpTorsionAngle * > > & | torsionBonds,
|  | bool | useExpTorsions = false,
|  | bool | useSmallRingTorsions = false,
|  | bool | useMacrocycleTorsions = false,
|  | bool | useBasicKnowledge = false,
|  | unsigned int | version = 2,
|  | bool | verbose = false )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

References RDKIT_FORCEFIELDHELPERS_EXPORT.